Package com.independentsoft.office.spreadsheet

# Class CalculationChainCell

java.lang.Object
com.independentsoft.office.spreadsheet.CalculationChainCell

public class CalculationChainCell extends Object
The Class CalculationChainCell.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalculationChainCell()`
  Instantiates a new calculation chain cell.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CalculationChainCell`
  `clone()`
  `String`
  `getReference()`
  Gets the reference.
  `int`
  `getSheetID()`
  Gets the sheet id.
  `boolean`
  `isArrayFormula()`
  Checks if is array formula.
  `boolean`
  `isNewDependencyLevel()`
  Checks if is new dependency level.
  `boolean`
  `isOnChildChain()`
  Checks if is on child chain.
  `boolean`
  `isStartNewThread()`
  Checks if is start new thread.
  `void`
  `setArrayFormula​(boolean isArrayFormula)`
  Sets the array formula.
  `void`
  `setNewDependencyLevel​(boolean newDependencyLevel)`
  Sets the new dependency level.
  `void`
  `setOnChildChain​(boolean isOnChildChain)`
  Sets the on child chain.
  `void`
  `setReference​(String reference)`
  Sets the reference.
  `void`
  `setSheetID​(int sheetID)`
  Sets the sheet id.
  `void`
  `setStartNewThread​(boolean startNewThread)`
  Sets the start new thread.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CalculationChainCell

    public CalculationChainCell()
    Instantiates a new calculation chain cell.

- ## Method Details

  - ### clone

    public CalculationChainCell clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isArrayFormula

    public boolean isArrayFormula()
    Checks if is array formula.
    Returns:
      true, if is array formula

  - ### setArrayFormula

    public void setArrayFormula​(boolean isArrayFormula)
    Sets the array formula.
    Parameters:
      `isArrayFormula` - the new array formula

  - ### getSheetID

    public int getSheetID()
    Gets the sheet id.
    Returns:
      the sheet id

  - ### setSheetID

    public void setSheetID​(int sheetID)
    Sets the sheet id.
    Parameters:
      `sheetID` - the new sheet id

  - ### isNewDependencyLevel

    public boolean isNewDependencyLevel()
    Checks if is new dependency level.
    Returns:
      true, if is new dependency level

  - ### setNewDependencyLevel

    public void setNewDependencyLevel​(boolean newDependencyLevel)
    Sets the new dependency level.
    Parameters:
      `newDependencyLevel` - the new new dependency level

  - ### getReference

    public String getReference()
    Gets the reference.
    Returns:
      the reference

  - ### setReference

    public void setReference​(String reference)
    Sets the reference.
    Parameters:
      `reference` - the new reference

  - ### isOnChildChain

    public boolean isOnChildChain()
    Checks if is on child chain.
    Returns:
      true, if is on child chain

  - ### setOnChildChain

    public void setOnChildChain​(boolean isOnChildChain)
    Sets the on child chain.
    Parameters:
      `isOnChildChain` - the new on child chain

  - ### isStartNewThread

    public boolean isStartNewThread()
    Checks if is start new thread.
    Returns:
      true, if is start new thread

  - ### setStartNewThread

    public void setStartNewThread​(boolean startNewThread)
    Sets the start new thread.
    Parameters:
      `startNewThread` - the new start new thread